/* verinfo.h - structures and function declarations */


#define BUFF_SIZE 8192

typedef struct VerBuff
  {
  WORD   ResourceLength;
  WORD   ValueLength;
  WORD   ResourceType;
  WCHAR  ResourceKey[16];
  WORD   Padding1;
  char   Buffer[BUFF_SIZE];
  } VerBuff;


typedef struct FixedInfo
  {
  DWORD  Signature;
  DWORD  StructVersion;
  DWORD  FileVersionHi;
  DWORD  FileVersionLow;
  DWORD  ProductVersionHi;
  DWORD  ProductVersionLow;
  DWORD  FileFlagsMask;
  DWORD  FileFlags;
  DWORD  OperatingSystem;
  DWORD  FileType;
  DWORD  FileSubType;
  DWORD  FileDateHi;
  DWORD  FileDateLow;
  } FixedInfo;


typedef struct StringInfoBuff
{
  WORD    StringFileInfoLen;
  WORD    JunkValueLen1;
  WORD    StringInfoType;
  WCHAR   StringFileInfoKey[15];
  WORD    StringTableLen;
  WORD    JunkValueLen2;
  WORD    StringTableType;
  WCHAR   StringTableKey[9];
  wchar_t Buffer[1];
} StringInfoBuff;


int checkVersionInfo(wchar_t *fileName);
int versionInfoCopy(wchar_t *fileName, void * versionInfoBuffer, int bufferSize);
int versionInfoUpdate(void);
int setVersionStringInfoBuff(void);

